summaryrefslogtreecommitdiffstats
path: root/external/poky/meta/recipes-bsp/acpid
diff options
context:
space:
mode:
Diffstat (limited to 'external/poky/meta/recipes-bsp/acpid')
-rw-r--r--external/poky/meta/recipes-bsp/acpid/acpid.inc32
-rw-r--r--external/poky/meta/recipes-bsp/acpid/acpid/acpid.service10
-rwxr-xr-xexternal/poky/meta/recipes-bsp/acpid/acpid/init31
-rw-r--r--external/poky/meta/recipes-bsp/acpid/acpid_2.0.30.bb7
4 files changed, 80 insertions, 0 deletions
diff --git a/external/poky/meta/recipes-bsp/acpid/acpid.inc b/external/poky/meta/recipes-bsp/acpid/acpid.inc
new file mode 100644
index 00000000..766ed4f8
--- /dev/null
+++ b/external/poky/meta/recipes-bsp/acpid/acpid.inc
@@ -0,0 +1,32 @@
+SUMMARY = "A daemon for delivering ACPI events"
+HOMEPAGE = "http://sourceforge.net/projects/acpid2"
+BUGTRACKER = "http://sourceforge.net/p/acpid2/tickets/?source=navbar"
+SECTION = "base"
+LICENSE = "GPLv2+"
+
+SRC_URI = "${SOURCEFORGE_MIRROR}/acpid2/acpid-${PV}.tar.xz \
+ file://init \
+ file://acpid.service \
+ "
+
+CVE_PRODUCT = "acpid2"
+
+inherit autotools update-rc.d systemd
+
+INITSCRIPT_NAME = "acpid"
+INITSCRIPT_PARAMS = "defaults"
+
+SYSTEMD_SERVICE_${PN} = "acpid.service"
+
+do_install_append () {
+ install -d ${D}${sysconfdir}/init.d
+ sed -e 's,/usr/sbin,${sbindir},g' ${WORKDIR}/init > ${D}${sysconfdir}/init.d/acpid
+ chmod 755 ${D}${sysconfdir}/init.d/acpid
+
+ install -d ${D}${sysconfdir}/acpi
+ install -d ${D}${sysconfdir}/acpi/events
+
+ install -d ${D}${systemd_unitdir}/system
+ install -m 0644 ${WORKDIR}/acpid.service ${D}${systemd_unitdir}/system
+ sed -i -e 's,@SBINDIR@,${sbindir},g' ${D}${systemd_unitdir}/system/acpid.service
+}
diff --git a/external/poky/meta/recipes-bsp/acpid/acpid/acpid.service b/external/poky/meta/recipes-bsp/acpid/acpid/acpid.service
new file mode 100644
index 00000000..f70e7409
--- /dev/null
+++ b/external/poky/meta/recipes-bsp/acpid/acpid/acpid.service
@@ -0,0 +1,10 @@
+[Unit]
+Description=ACPI Event Daemon
+After=syslog.target
+
+[Service]
+Type=forking
+ExecStart=@SBINDIR@/acpid
+
+[Install]
+WantedBy=multi-user.target
diff --git a/external/poky/meta/recipes-bsp/acpid/acpid/init b/external/poky/meta/recipes-bsp/acpid/acpid/init
new file mode 100755
index 00000000..40ff385c
--- /dev/null
+++ b/external/poky/meta/recipes-bsp/acpid/acpid/init
@@ -0,0 +1,31 @@
+#! /bin/sh -e
+
+test -x /usr/sbin/acpid || exit 0
+test -d /proc/acpi || exit 0
+mkdir -p /etc/acpi/events
+
+case "$1" in
+ start)
+ echo -n "Starting Advanced Configuration and Power Interface daemon: "
+ if [ ! -d /etc/acpi/events ]; then
+ echo "There is not any rule configuration file."
+ else
+ start-stop-daemon -o -S -x /usr/sbin/acpid -- -c /etc/acpi/events
+ echo "acpid."
+ fi
+ ;;
+ stop)
+ echo -n "Stopping Advanced Configuration and Power Interface daemon: "
+ start-stop-daemon -o -K -x /usr/sbin/acpid
+ echo "acpid."
+ ;;
+ restart|force-reload)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "Usage: /etc/init.d/acpid {start|stop|restart|force-reload}"
+ exit 1
+esac
+
+exit 0
diff --git a/external/poky/meta/recipes-bsp/acpid/acpid_2.0.30.bb b/external/poky/meta/recipes-bsp/acpid/acpid_2.0.30.bb
new file mode 100644
index 00000000..aa19d28e
--- /dev/null
+++ b/external/poky/meta/recipes-bsp/acpid/acpid_2.0.30.bb
@@ -0,0 +1,7 @@
+require acpid.inc
+
+LIC_FILES_CHKSUM = "file://COPYING;md5=8ca43cbc842c2336e835926c2166c28b \
+ file://acpid.h;endline=24;md5=324a9cf225ae69ddaad1bf9d942115b5"
+
+SRC_URI[md5sum] = "1528040b5d34f8c24ebabd97befbf913"
+SRC_URI[sha256sum] = "28b77b62d3f64ebd1c2a3d16bccc6d4333b4e24a86aeacebec255fad223cf4cb"